Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class SessionProperty

    java.lang.Object
      com.compoze.collab.SessionPropertyElement
          com.compoze.collab.SessionProperty

All Implemented Interfaces:
  java.io.Serializable

public class SessionProperty
extends SessionPropertyElement
implements java.io.Serializable

This class represents a session property.

See Also:
  Serialized Form

Method Summary
`SessionOption` | `getDefaultOption()` Gets the default option (if the property is an option property).
`java.lang.String` | `getDefaultValue()` Gets the default value for the property (for optional properties only).
`SessionOption` | `getOption(java.lang.String sName)` Gets an option by its internal name.
`SessionOption[]` | `getOptions()` Gets the possible options for the value.
`java.lang.String` | `getSampleValue(java.util.Locale locale)` Gets a sample value to present to the user.
`boolean` | `hasDefaultOption()` Determines if the property has a default option (if the property is an option property).
`boolean` | `isOptional()` Determines if the property is optional.
`boolean` | `isOptionProperty()` Determines if the property is an option property.
`boolean` | `isSensitive()` Determines if the property contains sensitive contents (such as a password).
`java.lang.String` | `toString()` Creates a string representation of the object.

Methods inherited from class com.compoze.collab.SessionPropertyElement
`getAdminDescription, getInternalName, getResource, getShortUserDescription, getUserDescription, getUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSampleValue

    public java.lang.String getSampleValue(java.util.Locale locale)

  Gets a sample value to present to the user.

  Parameters:
    `locale` - the locale
  Returns:
    the sample value, or `null` if no sample value is provided

### isOptional

    public boolean isOptional()

  Determines if the property is optional.

  Returns:
    `true` if the property is optional

### isOptionProperty

    public boolean isOptionProperty()

  Determines if the property is an option property.

  Returns:
    `true` if the property is an option property ( has options)

### hasDefaultOption

    public boolean hasDefaultOption()

  Determines if the property has a default option (if the property is an option property).

  Returns:
    `true` if the property has a default option, `false` if not or if the property is not an option property

### getDefaultOption

    public SessionOption getDefaultOption()

  Gets the default option (if the property is an option property).

  Returns:
    the option if the property is an option property, or `null` if it is not an option property or there is no default option

### getOption

    public SessionOption getOption(java.lang.String sName)

  Gets an option by its internal name.

  Parameters:
    `sName` - the name
  Returns:
    the option, or `null` if this is not an option property or has no option with the specified name

### isSensitive

    public boolean isSensitive()

  Determines if the property contains sensitive contents (such as a password).

  Returns:
    `true` if the property is sensitive

### getDefaultValue

    public java.lang.String getDefaultValue()

  Gets the default value for the property (for optional properties only).

  Returns:
    the default value, or `null` if this is a required property or does not have a default value

### getOptions

    public SessionOption[] getOptions()

  Gets the possible options for the value.

  Returns:
    a copy of the session options (not `null`)

### toString

    public java.lang.String toString()

  Creates a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.